#include<bits/stdc++.h>
using namespace std;
int ktnt(int x,int k)
{
	if(x<=1)	return 0;
	if(k*k>x)	return 1;
	else
	{
		if(x%k==0)	return 0;
		else	return ktnt(x,k+1);
	}
}
int main()
{
	ifstream f1("DQNT.inp");
	ofstream f2("DQNT.out");
	int n,i,dem=0;
	f1>>n;
	cin>>n;
	int a[2000];
	for(i=1;i<=n;i++)	f1>>a[i];

	sort(a+1,a+n+1);
	for(i=1;i<=n;i++)
	if(ktnt(a[i],2)==1)
	{
	f2<<a[i]<<" ";
	dem++;}
	if(dem==0)	f2<<"-1";
}
